<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ACL/src/Transport/PingHandler.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b1dfedc9efa610ba8c818c30206ff41f.html">ACL</a></li><li class="navelem"><a class="el" href="dir_b7bc15c7de8e43583c698b7747a94971.html">src</a></li><li class="navelem"><a class="el" href="dir_7cc4805d13c57da402acac8e1a9ae866.html">Transport</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">PingHandler.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;<a class="el" href="_http_response_code_8h_source.html">AVSCommon/Utils/HTTP/HttpResponseCode.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_h_t_t_p2_transport_8h_source.html">ACL/Transport/HTTP2Transport.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_ping_handler_8h_source.html">ACL/Transport/PingHandler.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for PingHandler.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_ping_handler_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_c_l_2src_2_transport_2_ping_handler_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_c_l_2src_2_transport_2_ping_handler_8cpp" id="_2workplace_2avs-device-sdk_2_a_c_l_2src_2_transport_2_ping_handler_8cpp">
<area shape="rect" id="node2" href="_http_response_code_8h.html" title="AVSCommon/Utils/HTTP\l/HttpResponseCode.h" alt="" coords="1144,105,1313,144"/>
<area shape="rect" id="node7" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="433,279,609,317"/>
<area shape="rect" id="node21" href="_h_t_t_p2_transport_8h.html" title="ACL/Transport/HTTP2Transport.h" alt="" coords="2734,112,2955,137"/>
<area shape="rect" id="node40" href="_ping_handler_8h.html" title="ACL/Transport/PingHandler.h" alt="" coords="4107,372,4302,397"/>
<area shape="rect" id="node5" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="1203,192,1379,231"/>
<area shape="rect" id="node12" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="763,365,976,404"/>
<area shape="rect" id="node16" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="501,452,677,491"/>
<area shape="rect" id="node17" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="139,365,315,404"/>
<area shape="rect" id="node19" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="491,365,688,404"/>
<area shape="rect" id="node20" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1808,365,1984,404"/>
<area shape="rect" id="node18" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="139,452,315,491"/>
<area shape="rect" id="node26" href="_attachment_manager_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentManager.h" alt="" coords="1686,279,1888,317"/>
<area shape="rect" id="node29" href="_h_t_t_p2_connection_interface_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2ConnectionInterface.h" alt="" coords="3379,279,3576,317"/>
<area shape="rect" id="node37" href="_auth_delegate_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthDelegateInterface.h" alt="" coords="3507,452,3698,491"/>
<area shape="rect" id="node39" href="_message_consumer_interface_8h.html" title="ACL/Transport/MessageConsumer\lInterface.h" alt="" coords="3128,279,3355,317"/>
<area shape="rect" id="node42" href="_post_connect_factory_interface_8h.html" title="ACL/Transport/PostConnect\lFactoryInterface.h" alt="" coords="2816,192,3003,231"/>
<area shape="rect" id="node44" href="_post_connect_observer_interface_8h.html" title="ACL/Transport/PostConnect\lObserverInterface.h" alt="" coords="2765,365,2953,404"/>
<area shape="rect" id="node45" href="_post_connect_send_message_interface_8h.html" title="ACL/Transport/PostConnect\lSendMessageInterface.h" alt="" coords="2504,365,2691,404"/>
<area shape="rect" id="node47" href="_transport_interface_8h.html" title="ACL/Transport/TransportInterface.h" alt="" coords="2198,372,2429,397"/>
<area shape="rect" id="node49" href="_transport_observer_interface_8h.html" title="ACL/Transport/TransportObserver\lInterface.h" alt="" coords="2279,279,2502,317"/>
<area shape="rect" id="node28" href="_attachment_manager_interface_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentManagerInterface.h" alt="" coords="1576,365,1784,404"/>
<area shape="rect" id="node30" href="_h_t_t_p2_request_config_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2RequestConfig.h" alt="" coords="3256,365,3432,404"/>
<area shape="rect" id="node32" href="_h_t_t_p2_request_type_8h.html" title="HTTP2RequestType.h" alt="" coords="3077,459,3230,484"/>
<area shape="rect" id="node36" href="_h_t_t_p2_request_interface_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2RequestInterface.h" alt="" coords="3696,365,3875,404"/>
<area shape="rect" id="node33" href="_h_t_t_p2_request_source_interface_8h.html" title="HTTP2RequestSourceInterface.h" alt="" coords="3722,459,3940,484"/>
<area shape="rect" id="node35" href="_h_t_t_p2_response_sink_interface_8h.html" title="HTTP2ResponseSinkInterface.h" alt="" coords="4317,459,4529,484"/>
<area shape="rect" id="node34" href="_h_t_t_p2_send_data_result_8h.html" title="AVSCommon/Utils/HTTP2\l/HTTP2SendDataResult.h" alt="" coords="3760,539,3936,577"/>
<area shape="rect" id="node38" href="_auth_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthObserverInterface.h" alt="" coords="3494,539,3685,577"/>
<area shape="rect" id="node41" href="_exchange_handler_8h.html" title="ACL/Transport/ExchangeHandler.h" alt="" coords="4014,459,4242,484"/>
<area shape="rect" id="node43" href="_post_connect_interface_8h.html" title="ACL/Transport/PostConnect\lInterface.h" alt="" coords="2816,279,3003,317"/>
<area shape="rect" id="node46" href="_message_request_8h.html" title="AVSCommon/AVS/MessageRequest.h" alt="" coords="2442,459,2691,484"/>
<area shape="rect" id="node48" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="2080,452,2267,491"/>
<area shape="rect" id="node50" href="_connection_status_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ConnectionStatusObserverInterface.h" alt="" coords="1253,365,1502,404"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1acl"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">alexaClientSDK::acl</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_ping_handler_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a3d15825494cf444664829ba88bad745b"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#a3d15825494cf444664829ba88bad745b">alexaClientSDK::acl::PING_TRANSFER_TIMEOUT</a> (30000)</td></tr>
<tr class="memdesc:a3d15825494cf444664829ba88bad745b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Max time to wait for a ping reply.  <a href="namespacealexa_client_s_d_k_1_1acl.html#a3d15825494cf444664829ba88bad745b">More...</a><br /></td></tr>
<tr class="separator:a3d15825494cf444664829ba88bad745b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53850046260ea9cc5aa5dbd3cdde0bf7"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#a53850046260ea9cc5aa5dbd3cdde0bf7">alexaClientSDK::acl::TAG</a> (&quot;PingHandler&quot;)</td></tr>
<tr class="memdesc:a53850046260ea9cc5aa5dbd3cdde0bf7"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1acl.html#a53850046260ea9cc5aa5dbd3cdde0bf7">More...</a><br /></td></tr>
<tr class="separator:a53850046260ea9cc5aa5dbd3cdde0bf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a42aed52e9e8bd68b459127e43d43ea94"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#a42aed52e9e8bd68b459127e43d43ea94">alexaClientSDK::acl::AVS_PING_URL_PATH_EXTENSION</a> = &quot;/ping&quot;</td></tr>
<tr class="memdesc:a42aed52e9e8bd68b459127e43d43ea94"><td class="mdescLeft">&#160;</td><td class="mdescRight">URL to send pings to.  <a href="namespacealexa_client_s_d_k_1_1acl.html#a42aed52e9e8bd68b459127e43d43ea94">More...</a><br /></td></tr>
<tr class="separator:a42aed52e9e8bd68b459127e43d43ea94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae65983fa7aa2b581a03bbaabfae0ae0f"><td class="memItemLeft" align="right" valign="top">static const uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#ae65983fa7aa2b581a03bbaabfae0ae0f">alexaClientSDK::acl::PING_PRIORITY</a> = 200</td></tr>
<tr class="memdesc:ae65983fa7aa2b581a03bbaabfae0ae0f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Priority for ping requests (high, default is 16).  <a href="namespacealexa_client_s_d_k_1_1acl.html#ae65983fa7aa2b581a03bbaabfae0ae0f">More...</a><br /></td></tr>
<tr class="separator:ae65983fa7aa2b581a03bbaabfae0ae0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a001bbe37d78fbb47507c4402a7920c6f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#a001bbe37d78fbb47507c4402a7920c6f">alexaClientSDK::acl::PING_ID_PREFIX</a> = &quot;AVSPing-&quot;</td></tr>
<tr class="memdesc:a001bbe37d78fbb47507c4402a7920c6f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prefix for the ID of ping requests.  <a href="namespacealexa_client_s_d_k_1_1acl.html#a001bbe37d78fbb47507c4402a7920c6f">More...</a><br /></td></tr>
<tr class="separator:a001bbe37d78fbb47507c4402a7920c6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
